Subject: Re: bug#34846: top_builddir incorrectly formulated when src directory at same level as configure

From: Mike Frysinger <[email-masked]>
Date: Mon, 7 Feb 2022 23:12:47 -0500

On 13 Mar 2019 20:23, Hans-Bernhard Bröker wrote:
> Am 13.03.2019 um 16:44 schrieb Allwright, James:
> > I believe I have found a bug in automake relating to the parsing of
> > filepaths and/or directories.
> 
> I believe you have used automake incorrectly.
> 
> > In  proj3/ Makefile.am  I have
> > 
> > SUBDIRS= ../proj3_src
> 
> According to what it says on the tin, you're supposed to put
> _subdirectories_ into that SUBDIRS listing.
> 
> But that's not a subdirectory  It's a next-door directory.

yeah, this is pretty unusual.  i don't know that i've seen this pattern
before, or that it's supported.  this logic is coming from autoconf though,
not automake, so i going to route it to them to decide whether to accept.
-mike